"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Firebase = void 0;
const app_1 = require("firebase-admin/app");
const auth_1 = require("firebase-admin/auth");
const firestore_1 = require("firebase-admin/firestore");
class Firebase {
    static getInstance(options, appName) {
        if (!Firebase.instance) {
            Firebase.instance = (0, app_1.initializeApp)(options, appName);
        }
        return Firebase.instance;
    }
    static getDatabase(options, appName) {
        this.getInstance(options, appName);
        if (!Firebase.firestore) {
            Firebase.firestore = (0, firestore_1.getFirestore)();
        }
        return Firebase.firestore;
    }
    static getAuth(options, appName) {
        this.getInstance(options, appName);
        if (!Firebase.auth) {
            Firebase.auth = (0, auth_1.getAuth)();
        }
        return Firebase.auth;
    }
}
exports.Firebase = Firebase;
//# sourceMappingURL=Firebase.js.map