"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Networking = void 0;
const ip_address_1 = require("ip-address");
class Networking {
}
exports.Networking = Networking;
/**
 * Parses an IP string into an IPV4 address.
 * @param ipv4OrIpv6 Either an IPV4 or IPV6 string.
 * @returns The IP string into an IPV4 address.
 */
Networking.getIpv4 = (ipv4OrIpv6) => {
    try {
        const parsedIpv6 = new ip_address_1.Address6(ipv4OrIpv6);
        const teredo = parsedIpv6.inspectTeredo();
        return teredo.client4;
    }
    catch (_a) { }
    try {
        const parsedIpv4 = new ip_address_1.Address4(ipv4OrIpv6);
        return parsedIpv4.correctForm();
    }
    catch (_b) { }
    return ipv4OrIpv6;
};
//# sourceMappingURL=Networking.js.map