import { DocumentSnapshot, QueryDocumentSnapshot } from 'firebase-admin/firestore';
import { Change, EventContext } from 'firebase-functions';
import { FunctionSettings } from './settings';
export declare type CreateHandler = (snapshot: QueryDocumentSnapshot, context: EventContext) => any;
export declare type DeleteHandler = CreateHandler;
export declare type UpdateHandler = (change: Change<DocumentSnapshot>, context: EventContext) => any;
export declare class UpdateTrigger {
    documentPath: string;
    handler: UpdateHandler;
    settings: FunctionSettings;
    constructor(documentPath: string, handler: UpdateHandler, settings?: FunctionSettings);
}
export declare class CreateTrigger {
    documentPath: string;
    handler: CreateHandler;
    settings: FunctionSettings;
    constructor(documentPath: string, handler: CreateHandler, settings?: FunctionSettings);
}
export declare class DeleteTrigger {
    documentPath: string;
    handler: DeleteHandler;
    settings: FunctionSettings;
    constructor(documentPath: string, handler: DeleteHandler, settings?: FunctionSettings);
}
