import { CorsOptions } from 'cors';
import { AppMemory } from '.';
import { AuthMetadataMiddlewareFunction, ExpressMiddleware, MiddlewareFunction, PostRequestMiddlewareFunction } from './middleware';
export interface FunctionSettings {
    name?: string;
    timeoutSeconds?: number;
    memory?: AppMemory;
    minInstances?: number;
    maxInstances?: number;
}
export interface AppSettings extends FunctionSettings {
    expressMiddleware?: ExpressMiddleware[];
    preRequestMiddleware?: MiddlewareFunction[];
    postRequestMiddleware?: PostRequestMiddlewareFunction[];
    authMetadataMiddleware?: AuthMetadataMiddlewareFunction[];
    corsOptions?: CorsOptions;
}
